Bug 1572651 - klist doesn't print the cache location if a KCM: cache doesn't exist
Summary: klist doesn't print the cache location if a KCM: cache doesn't exist
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: krb5
Version: 8.0
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: rc
: 8.0
Assignee: Robbie Harwood
QA Contact: BaseOS QE Security Team
URL: https://github.com/krb5/krb5/pull/771
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-27 14:04 UTC by Patrik Kis
Modified: 2018-11-19 23:16 UTC (History)
2 users (show)

Fixed In Version: krb5-1.16-26.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1034690
Environment:
Last Closed: 2018-04-30 16:12:26 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)

Description Patrik Kis 2018-04-27 14:04:06 UTC
This was "fixed" for KEYRING ccache, so maybe it could be also "fixed" with KCM.

Version-Release number of selected component (if applicable):
krb5-libs-1.15.2-3.el8+5

Steps to Reproduce:
# klist
klist: No credentials cache found

Expected results:
something like:
klist: Credentials cache KCM:0 not found

+++ This bug was initially created as a clone of Bug #1034690 +++

Description of problem:
In REHL6, klist printed where the credential cache resides.
The new version prints this information only if the cache is not empty.

Version-Release number of selected component (if applicable):
krb5-workstation-1.11.3-34.el7.x86_64

How reproducible:
always

Steps to Reproduce:
1. kdestroy
2. klist

Actual results:
klist: No credentials cache found while retrieving principal name

Expected results:
klist: No credentials cache found (ticket cache DIR::/run/user/0/krb5cc/tkt)

Additional info:
the expected result is taken from Fedora; on RHEL6 machine, I got:

klist: No credentials cache found (ticket cache FILE:/tmp/krb5cc_0)

Comment 1 Robbie Harwood 2018-04-30 16:12:26 UTC
Fixed in fc28+fc29.


Note You need to log in before you can comment on or make changes to this bug.